Get multicall payout state
curl --request GET \
--url https://api.request.network/v2/secure-payments/multicall-payouts/{token} \
--header 'Authorization: <authorization>'import requests
url = "https://api.request.network/v2/secure-payments/multicall-payouts/{token}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.request.network/v2/secure-payments/multicall-payouts/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.request.network/v2/secure-payments/multicall-payouts/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.request.network/v2/secure-payments/multicall-payouts/{token}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.request.network/v2/secure-payments/multicall-payouts/{token}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.request.network/v2/secure-payments/multicall-payouts/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"paymentType": "multicall",
"status": "pending",
"redirectUrl": "<string>",
"redirectLabel": "<string>",
"orchestratorId": "<string>",
"branding": {
"id": "<string>",
"clientIdId": "<string>",
"orchestratorId": "<string>",
"logoPath": "<string>",
"pageBackgroundColor": "<string>",
"cardBackgroundColor": "<string>",
"primaryActionColor": "<string>",
"primaryTextColor": "<string>",
"secondaryTextColor": "<string>",
"termsPath": "<string>",
"privacyPath": "<string>",
"displayRequestBranding": true
},
"analytics": {
"creationTimestamp": "2023-11-07T05:31:56Z",
"totalPaymentAmountUsd": "<string>",
"protocolFeeAmountUsd": "<string>",
"orchestratorPayerFeeAmountUsd": "<string>",
"orchestratorRecipientFeeAmountUsd": "<string>",
"feeAmountsUsdUnavailableReason": "fee_plan_unavailable",
"numberOfPaymentsExcludingFees": 1,
"destinationIds": [
"<string>"
],
"payoutKytProvider": "<string>"
},
"requestIds": [
"<string>"
],
"token": "<string>",
"canExecute": true,
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"children": [
{
"securePaymentToken": "<string>",
"requestId": "<string>",
"position": 1,
"executable": true,
"blockReason": "not_found",
"messageKey": "<string>",
"context": {
"requestId": "<string>",
"securePaymentToken": "<string>",
"position": 1,
"hasBeenPaid": true,
"securePaymentStatus": "<string>",
"requestStatus": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"network": "<string>",
"currency": "<string>"
},
"recoveryAction": "remove_child",
"feePlan": {
"version": 1,
"flow": "get_paid",
"defaultFeeBearer": "payer",
"grossAmountUsd": "<string>",
"netRecipientAmountUsd": "<string>",
"payerTotalAmountUsd": "<string>",
"totalFeesUsd": "<string>",
"payeeBorneFeesUsd": "<string>",
"payerBorneFeesUsd": "<string>",
"fees": [
{
"type": "<string>",
"label": "<string>",
"feeBearer": "payer",
"feeBearerSource": "fee_config",
"percentageBps": 123,
"capUsd": "<string>",
"calculatedAmountUsd": "<string>",
"destinationResolver": "<string>",
"destinationRef": {
"evmAddress": "<string>",
"tronAddress": "<string>"
},
"configSource": "<string>",
"fixedAmountUsd": "<string>"
}
]
},
"amount": "<string>",
"payee": "<string>",
"reference": "<string>"
}
],
"totals": {
"childCount": 1,
"blockedChildCount": 1,
"byDestinationCurrency": [
{
"network": "<string>",
"currency": "<string>",
"totalAmount": "<string>"
}
],
"amountSummary": {
"grossAmount": "<string>",
"netRecipientAmount": "<string>",
"totalFees": "<string>",
"payeeBorneFees": "<string>",
"payerBorneFees": "<string>",
"payerTotal": "<string>"
}
},
"paymentOptions": {}
}V2/Secure Payment
Get multicall payout state
Retrieves the passive multicall payout details payload for Secure Payment Page rendering. It does not return quotes, calldata, wallet routes, or execution data.
GET
/
v2
/
secure-payments
/
multicall-payouts
/
{token}
Get multicall payout state
curl --request GET \
--url https://api.request.network/v2/secure-payments/multicall-payouts/{token} \
--header 'Authorization: <authorization>'import requests
url = "https://api.request.network/v2/secure-payments/multicall-payouts/{token}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.request.network/v2/secure-payments/multicall-payouts/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.request.network/v2/secure-payments/multicall-payouts/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.request.network/v2/secure-payments/multicall-payouts/{token}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.request.network/v2/secure-payments/multicall-payouts/{token}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.request.network/v2/secure-payments/multicall-payouts/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"paymentType": "multicall",
"status": "pending",
"redirectUrl": "<string>",
"redirectLabel": "<string>",
"orchestratorId": "<string>",
"branding": {
"id": "<string>",
"clientIdId": "<string>",
"orchestratorId": "<string>",
"logoPath": "<string>",
"pageBackgroundColor": "<string>",
"cardBackgroundColor": "<string>",
"primaryActionColor": "<string>",
"primaryTextColor": "<string>",
"secondaryTextColor": "<string>",
"termsPath": "<string>",
"privacyPath": "<string>",
"displayRequestBranding": true
},
"analytics": {
"creationTimestamp": "2023-11-07T05:31:56Z",
"totalPaymentAmountUsd": "<string>",
"protocolFeeAmountUsd": "<string>",
"orchestratorPayerFeeAmountUsd": "<string>",
"orchestratorRecipientFeeAmountUsd": "<string>",
"feeAmountsUsdUnavailableReason": "fee_plan_unavailable",
"numberOfPaymentsExcludingFees": 1,
"destinationIds": [
"<string>"
],
"payoutKytProvider": "<string>"
},
"requestIds": [
"<string>"
],
"token": "<string>",
"canExecute": true,
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"children": [
{
"securePaymentToken": "<string>",
"requestId": "<string>",
"position": 1,
"executable": true,
"blockReason": "not_found",
"messageKey": "<string>",
"context": {
"requestId": "<string>",
"securePaymentToken": "<string>",
"position": 1,
"hasBeenPaid": true,
"securePaymentStatus": "<string>",
"requestStatus": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"network": "<string>",
"currency": "<string>"
},
"recoveryAction": "remove_child",
"feePlan": {
"version": 1,
"flow": "get_paid",
"defaultFeeBearer": "payer",
"grossAmountUsd": "<string>",
"netRecipientAmountUsd": "<string>",
"payerTotalAmountUsd": "<string>",
"totalFeesUsd": "<string>",
"payeeBorneFeesUsd": "<string>",
"payerBorneFeesUsd": "<string>",
"fees": [
{
"type": "<string>",
"label": "<string>",
"feeBearer": "payer",
"feeBearerSource": "fee_config",
"percentageBps": 123,
"capUsd": "<string>",
"calculatedAmountUsd": "<string>",
"destinationResolver": "<string>",
"destinationRef": {
"evmAddress": "<string>",
"tronAddress": "<string>"
},
"configSource": "<string>",
"fixedAmountUsd": "<string>"
}
]
},
"amount": "<string>",
"payee": "<string>",
"reference": "<string>"
}
],
"totals": {
"childCount": 1,
"blockedChildCount": 1,
"byDestinationCurrency": [
{
"network": "<string>",
"currency": "<string>",
"totalAmount": "<string>"
}
],
"amountSummary": {
"grossAmount": "<string>",
"netRecipientAmount": "<string>",
"totalFees": "<string>",
"payeeBorneFees": "<string>",
"payerBorneFees": "<string>",
"payerTotal": "<string>"
}
},
"paymentOptions": {}
}Headers
Path Parameters
Response
Multicall payout state retrieved successfully
Last modified on August 3, 2026
Was this page helpful?